跳到主要内容

策略研究执行详情

GET/research/experiments/{id}在线调试
GET https://api.shengkezhi.com/open/v1/research/experiments/{id}
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/experiments/{id}" \
  -H "Authorization: Bearer sk_xxx"

GET /research/experiments/{id} — 策略研究执行详情。

需在请求头携带 Authorization: Bearer sk_xxx

路径参数

参数必填说明
id执行 ID

响应

响应 dataExperimentDetail

字段类型必填说明
overviewExperimentOverview单次执行的概要聚合。

调用示例

curl "https://api.shengkezhi.com/open/v1/research/experiments/experiment-20260724-001" -H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"overview": {
"dataset": "stock",
"description": "基于沪深龙头标的的日线择时",
"elapsed_s": 3.2,
"errors": [],
"failed": 0,
"freq": "日线",
"model_configs_used": [
"linear"
],
"n_backtests": 2,
"n_strategies": 2,
"pass_rate": 0.5,
"passed": 1,
"problem_code": "FTS_PROBLEM_8C7C30",
"problem_name": "沪深龙头择时",
"problem_type": "TimeSeriesProblem",
"review_fn": null,
"run_at": "2026-06-28T10:00:00",
"scanned": 2,
"skipped": 0,
"status": "completed",
"symbols": [
"600519.SH",
"000858.SZ"
],
"time_segments": [
{
"edt": "20260110",
"name": "训练集",
"sdt": "20260101"
},
{
"edt": "20260120",
"name": "后置验证",
"sdt": "20260111"
}
],
"total_elapsed": 12.5
}
},
"msg": "ok"
}